Package eu.mhsl.minenet.minigames.handler.global

# Class PlayerLoginHandler

java.lang.Object
eu.mhsl.minenet.minigames.handler.global.PlayerLoginHandler

All Implemented Interfaces:
  `net.minestom.server.event.EventListener<net.minestom.server.event.player.PlayerLoginEvent>`

public class PlayerLoginHandler extends Object implements net.minestom.server.event.EventListener<net.minestom.server.event.player.PlayerLoginEvent>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface net.minestom.server.event.EventListener

  `net.minestom.server.event.EventListener.Builder<T extends net.minestom.server.event.Event>, net.minestom.server.event.EventListener.Result`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlayerLoginHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@NotNull Class<net.minestom.server.event.player.PlayerLoginEvent>`
  `eventType()`
  `@NotNull net.minestom.server.event.EventListener.Result`
  `run(@NotNull net.minestom.server.event.player.PlayerLoginEvent event)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlayerLoginHandler

    public PlayerLoginHandler()

- ## Method Details

  - ### eventType

    @NotNull public @NotNull Class<net.minestom.server.event.player.PlayerLoginEvent> eventType()
    Specified by:
      `eventType` in interface `net.minestom.server.event.EventListener<net.minestom.server.event.player.PlayerLoginEvent>`

  - ### run

    @NotNull public @NotNull net.minestom.server.event.EventListener.Result run(@NotNull @NotNull net.minestom.server.event.player.PlayerLoginEvent event)
    Specified by:
      `run` in interface `net.minestom.server.event.EventListener<net.minestom.server.event.player.PlayerLoginEvent>`